Your message dated Sun, 23 Feb 2020 07:35:18 +0000
with message-id <[email protected]>
and subject line Bug#949026: fixed in postgis 3.0.1+dfsg-1
has caused the Debian Bug report #949026,
regarding postgis: please ignore test results on s390x
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
949026: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=949026
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Source: postgis
Version: 3.0.0+dfsg-6
Severity: normal
Tags: patch

Hello, it looks like test results are ignored on s390x, in rules file.
Can you please ignore also them in autopkgtests?

thanks

diff -Nru postgis-3.0.0+dfsg/debian/tests/regress 
postgis-3.0.0+dfsg/debian/tests/regress
--- postgis-3.0.0+dfsg/debian/tests/regress     2019-12-08 18:10:29.000000000 
+0100
+++ postgis-3.0.0+dfsg/debian/tests/regress     2020-01-15 11:39:23.000000000 
+0100
@@ -21,11 +21,16 @@
 # clean up on exit
 trap "rm -rf /tmp/pgis_reg" EXIT

+check_fail="exit 2"
+if [ `dpkg --print-architecture` = 's390x' ]; then
+    check_fail="exit 0"
+fi
+
 # run the regession tests
 for v in $(pg_buildext supported-versions); do
   pg_virtualenv -v $v <<-EOF
        set -eux
-       make -C regress/core -f Makefile.in check PERL=perl 
RUNTESTFLAGS="--extension --verbose" POSTGIS_GEOS_VERSION=$POSTGIS_GEOS_VERSION
-       make -C regress/sfcgal -f Makefile.in check PERL=perl 
RUNTESTFLAGS="--extension --verbose" HAVE_SFCGAL=yes
+       make -C regress/core -f Makefile.in check PERL=perl 
RUNTESTFLAGS="--extension --verbose" POSTGIS_GEOS_VERSION=$POSTGIS_GEOS_VERSION 
|| $check_fail
+       make -C regress/sfcgal -f Makefile.in check PERL=perl 
RUNTESTFLAGS="--extension --verbose" HAVE_SFCGAL=yes || $check_fail
        EOF
 done

--- End Message ---
--- Begin Message ---
Source: postgis
Source-Version: 3.0.1+dfsg-1
Done: Bas Couwenberg <[email protected]>

We believe that the bug you reported is fixed in the latest version of
postgis, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Couwenberg <[email protected]> (supplier of updated postgis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 23 Feb 2020 07:59:09 +0100
Source: postgis
Architecture: source
Version: 3.0.1+dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian GIS Project <[email protected]>
Changed-By: Bas Couwenberg <[email protected]>
Closes: 949026 949426
Changes:
 postgis (3.0.1+dfsg-1) unstable; urgency=medium
 .
   * New upstream release.
     (closes: #949426)
   * Don't hardcode test exit status for failures.
   * Don't bother with autopkgtest on problematic architectures.
     (closes: #949026)
   * Update update metadata for move to git.
   * Bump Standards-Version to 4.5.0, no changes.
   * Update watch file for 3.0.x. releases.
   * Update upstream branch in gbp.conf.
   * Disable automatic updates of postgis_revision.h.
Checksums-Sha1:
 17d29fd8f4a72e17fa57bfd2f5cca2f56225a2a9 2973 postgis_3.0.1+dfsg-1.dsc
 5e30226a3a64845f77f8f9318ece829d10737a9b 9092844 postgis_3.0.1+dfsg.orig.tar.xz
 9994b6b68b1639468c303ec6bd7d4f2d02e11ae6 38952 
postgis_3.0.1+dfsg-1.debian.tar.xz
 6a03bc1fa1cfd2e99cc4393441f4cef48c10994b 22648 
postgis_3.0.1+dfsg-1_amd64.buildinfo
Checksums-Sha256:
 7b41fe0d86966124abd18343643f8b05b804866e90cf0b7c54ab264e28f1a1ec 2973 
postgis_3.0.1+dfsg-1.dsc
 ea7eebe95465c910baecad977889903e47a9a4edc996ede53a34662bc5896135 9092844 
postgis_3.0.1+dfsg.orig.tar.xz
 c96be44f48efd8fb49320eac6634852aa41930082585f2bc6d6da26b83e5b278 38952 
postgis_3.0.1+dfsg-1.debian.tar.xz
 046372c4b03858f0dced7bbd9ee504a33b5c885fcc4534dc81ab4a5d730b9945 22648 
postgis_3.0.1+dfsg-1_amd64.buildinfo
Files:
 47dbe19838bc83e8f405a137ac664234 2973 misc optional postgis_3.0.1+dfsg-1.dsc
 9d1643979dd7950fd3015c8f2b142e90 9092844 misc optional 
postgis_3.0.1+dfsg.orig.tar.xz
 55d6152aac87c3ae945963fa7056d262 38952 misc optional 
postgis_3.0.1+dfsg-1.debian.tar.xz
 a592fe6dca64f776ee7f9c61c2570619 22648 misc optional 
postgis_3.0.1+dfsg-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEgYLeQXBWQI1hRlDRZ1DxCuiNSvEFAl5SKK0ACgkQZ1DxCuiN
SvF7JQ/+I3Z6K2CRCrNTz+w6UQadP7eG+5/l5sHzVJ9cgaYfugq9FS4j6zBhrs6+
M4VmYq/JztVDj6bJib6b817QASXxNhM/ds4fO2y2rzEUZw7J+XYQXm6I4oFkwCmV
Eqk3zmEKnRcagFob0YkTXoBHXqW5xpO1T8gOrxEe8uhYgOFeyo345lw3y9gyI3Nv
ZYViAaiBqJKuXc6PZ3NE3MbuYSQPC65Y+JY3dw57ot7m+muruFZGBtzc5xcoYviz
0PoZq47CaIqhpDwjGy6QNMATxk52fh9/oPeucR9wQBPHetzFuVefMtA1hcG4EfHF
igCSpNkdU81t4X2j+vuzsG8tIzI2SXAb/o0JK6nFsdGmHGHU1UX38nxu9SSxnDm8
oMKmFUZdPAOHVhQBkYF5NLMZ2XPLx5DANydFfPl8+rSyDXX6DDM4g9x98LJyMJcS
raujCuVB2E7g97e/HSDAkFjJj7ShRANuVjYUH6SW77GAtzLcJRU1w2+M6VqxDJ7p
29fSVWXJgfS/EJbjQVw67xtWoMiXmBRM1G3Y9AvF+kbFzWGqbAvxrAOBVfJlS6+/
fBU4HbB22gWSKTp07bYY/pL9fpAEuteL70tHJbHkpRjZLFm+5OxS54/u+LynWkC5
uztKDXxJcMsmpZUim5f9Bz5Gz9DjUHnHy7NFJd8YZEN/D0NZ9h0=
=agpj
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to